Bug 67816

Summary: [chromium] REGRESSION(94353): Compositor textures and resources leaked when tab closed that is not last tab in the process
Product: WebKit Reporter: James Robinson <jamesr>
Component: New BugsAssignee: James Robinson <jamesr>
Status: RESOLVED FIXED    
Severity: Normal CC: enne, kbr, nduca, senorblanco, vangelis
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch kbr: review+

Description James Robinson 2011-09-08 16:12:40 PDT
[chromium] REGRESSION(94353): Compositor textures and resources leaked when tab closed that is not last tab in the process
Comment 1 James Robinson 2011-09-08 16:13:15 PDT
Created attachment 106810 [details]
Patch
Comment 2 James Robinson 2011-09-08 16:14:16 PDT
This fixes the leak, but I really really really want to get some automated tests for this before landed.  I left the OOPS! in the changelog to remind myself.  I've fixed this bug twice and don't really want to have to do it again :/
Comment 3 James Robinson 2011-09-08 16:15:53 PDT
Note that this is another sign that https://bugs.webkit.org/show_bug.cgi?id=66995 is something we need, the problem here is our overuse of RefPtr<>s which needs lots of manual cleanup.
Comment 4 Kenneth Russell 2011-09-10 15:12:07 PDT
Comment on attachment 106810 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=106810&action=review

Looks fine to me. ChangeLog needs a small cleanup before landing.

> Source/WebCore/ChangeLog:8
> +        No new tests. (OOPS!)

That OOPS needs to be removed.
Comment 5 James Robinson 2011-09-12 10:47:33 PDT
Thanks Ken.  We need this patch for 15 so I'll clean up the ChangeLog and continue to work on testing infrastructure.
Comment 6 James Robinson 2011-09-12 10:51:55 PDT
Committed r94964: <http://trac.webkit.org/changeset/94964>